/* NodeStatus styles
//
// @author Sonja Happ <sonja.happ@eonerc.rwth-aachen.de>, Jonas Otten
// @copyright 2019, Institute for Automation of Complex Power Systems, EONERC
// @license GNU General Public License (version 3)
//
// DistAIX Web
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
///////////////////////////////////////////////////////////////////////////////*/

#nodeStatus{
    padding: 20px;
}

#nodeStatusHeader{
    font-size: 20px;
    padding-bottom: 20px;
}

#nodeStatusElements{
    
}

.nodeStatusElement{
    display: flex;
    justify-content: flex-end;
}

/* Show the tooltip text when you mouse over the tooltip container */
.nodeStatusElement:hover .nodeStatusElementToolTip {
    visibility: visible;
    opacity: 1;
}

.nodeStatusElementName{
    padding: 10px;
    background-color: crimson;
    color: white;
    margin: 5px;
    border-radius: 5px;
    flex-grow: 1;
}

.nodeStatusElementStatus{
    padding: 10px;
}

.nodeStatusElement .nodeStatusElementToolTip{
    visibility: hidden;
    width: 120px;
    background-color: #555;
    color: #fff;
    text-align: center;
    padding: 5px 0;
    border-radius: 6px;

    /* Position the tooltip text */
    z-index: 1;
    bottom: 125%;
    left: 50%;
    margin-left: -60px;

    /* Fade in tooltip */
    opacity: 0;
    transition: opacity 0.3s;
}

.nodeStatusElement .nodeStatusElementToolTip::after {
    content: "";
    /*position: absolute; */
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #555 transparent transparent transparent;
}

